Name:           magicrescue
Version:        1.1.4
Release: 	1%{?dist}
Summary:        Magic Rescue scans a block device for file types it knows how to recover and calls an external program to extract them. 

Group:          Utilities
License:        GPL
URL:            http://jbj.rapanden.dk/magicrescue/

Source0:        magicrescue-1.1.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses gdbm-devel perl

%description
Magic Rescue scans a block device for file types it knows how to 
recover and calls an external program to extract them. It looks 
at "magic bytes" in file contents, so it can be used both as an 
undelete utility and for recovering a corrupted drive or partition. 
As long as the file data is there, it will find it.
It works on any file system, but on very fragmented file systems 
it can only recover the first chunk of each file. Practical experience 
(this program was not written for fun) shows, however, that chunks 
of 30-50MB are not uncommon.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

#make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/share/magicrescue/tools
install -d $RPM_BUILD_ROOT/usr/share/magicrescue/recipes
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -d $RPM_BUILD_ROOT/usr/bin

install -m0755 magicrescue $RPM_BUILD_ROOT/usr/bin/
install -m0755 dupemap $RPM_BUILD_ROOT/usr/bin/
install -m0755 magicsort $RPM_BUILD_ROOT/usr/bin/
install -m0644 recipes/* $RPM_BUILD_ROOT/usr/share/magicrescue/recipes/
rm -f doc/*.pod
install -m0644 doc/* $RPM_BUILD_ROOT/usr/share/man/man1/

for f in tools/*; do
if [ -x "$f" ]; then
install -m0755 "$f" $RPM_BUILD_ROOT/usr/share/magicrescue/tools/
fi                                                                                                  
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean

rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc COPYING README
%{_bindir}/magicrescue
%{_bindir}/dupemap
%{_bindir}/magicsort
%{_datadir}/magicrescue/tools/*
%{_datadir}/magicrescue/recipes/*
%{_datadir}/man/man1/dupemap.1.gz
%{_datadir}/man/man1/magicrescue.1.gz
%{_datadir}/man/man1/magicsort.1.gz

%changelog

* Mon Aug 14 2006 Paweł Brach <pawel.brach@aurox.org> 1.1.4-1
- initial aurox release